export function get_comment_handlers(comments: CommentWithLocation[], raw: string): {
    /**
     * @param {boolean} block
     * @param {string} value
     * @param {number} start
     * @param {number} end
     */
    onComment: (block: boolean, value: string, start: number, end: number) => void;
    /** @param {NodeWithLocation} node */
    enter(node: NodeWithLocation): void;
    /** @param {NodeWithLocation} node */
    leave(node: NodeWithLocation): void;
};
export type Comment = import("estree").Comment;
export type Node = import("estree").AssignmentProperty | import("estree").Property | import("estree").CatchClause | import("estree").ClassDeclaration | import("estree").ClassExpression | import("estree").ClassBody | import("estree").ArrayExpression | import("estree").ArrowFunctionExpression | import("estree").AssignmentExpression | import("estree").AwaitExpression | import("estree").BinaryExpression | import("estree").SimpleCallExpression | import("estree").NewExpression | import("estree").ChainExpression | import("estree").ConditionalExpression | import("estree").FunctionExpression | import("estree").Identifier | import("estree").ImportExpression | import("estree").SimpleLiteral | import("estree").RegExpLiteral | import("estree").BigIntLiteral | import("estree").LogicalExpression | import("estree").MemberExpression | import("estree").MetaProperty | import("estree").ObjectExpression | import("estree").SequenceExpression | import("estree").TaggedTemplateExpression | import("estree").TemplateLiteral | import("estree").ThisExpression | import("estree").UnaryExpression | import("estree").UpdateExpression | import("estree").YieldExpression | import("estree").FunctionDeclaration | import("estree").MethodDefinition | import("estree").ImportDeclaration | import("estree").ExportNamedDeclaration | import("estree").ExportDefaultDeclaration | import("estree").ExportAllDeclaration | import("estree").ImportSpecifier | import("estree").ImportDefaultSpecifier | import("estree").ImportNamespaceSpecifier | import("estree").ExportSpecifier | import("estree").ObjectPattern | import("estree").ArrayPattern | import("estree").RestElement | import("estree").AssignmentPattern | import("estree").PrivateIdentifier | import("estree").Program | import("estree").PropertyDefinition | import("estree").SpreadElement | import("estree").ExpressionStatement | import("estree").BlockStatement | import("estree").StaticBlock | import("estree").EmptyStatement | import("estree").DebuggerStatement | import("estree").WithStatement | import("estree").ReturnStatement | import("estree").LabeledStatement | import("estree").BreakStatement | import("estree").ContinueStatement | import("estree").IfStatement | import("estree").SwitchStatement | import("estree").ThrowStatement | import("estree").TryStatement | import("estree").WhileStatement | import("estree").DoWhileStatement | import("estree").ForStatement | import("estree").ForInStatement | import("estree").ForOfStatement | import("estree").VariableDeclaration | import("estree").Super | import("estree").SwitchCase | import("estree").TemplateElement | import("estree").VariableDeclarator;
export type NodeWithLocation = (import("estree").AssignmentProperty & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").Property & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").CatchClause & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ClassDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ClassExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ClassBody & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ArrayExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ArrowFunctionExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").AssignmentExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").AwaitExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").BinaryExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SimpleCallExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").NewExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ChainExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ConditionalExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").FunctionExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").Identifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ImportExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SimpleLiteral & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").RegExpLiteral & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").BigIntLiteral & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").LogicalExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").MemberExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").MetaProperty & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ObjectExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SequenceExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").TaggedTemplateExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").TemplateLiteral & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ThisExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").UnaryExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").UpdateExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").YieldExpression & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").FunctionDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").MethodDefinition & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ImportDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ExportNamedDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ExportDefaultDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ExportAllDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ImportSpecifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ImportDefaultSpecifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ImportNamespaceSpecifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ExportSpecifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ObjectPattern & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ArrayPattern & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").RestElement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").AssignmentPattern & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").PrivateIdentifier & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").Program & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").PropertyDefinition & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SpreadElement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ExpressionStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").BlockStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").StaticBlock & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").EmptyStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").DebuggerStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").WithStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ReturnStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").LabeledStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").BreakStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ContinueStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").IfStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SwitchStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ThrowStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").TryStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").WhileStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").DoWhileStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ForStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ForInStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").ForOfStatement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").VariableDeclaration & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").Super & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").SwitchCase & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").TemplateElement & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
}) | (import("estree").VariableDeclarator & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
});
export type CommentWithLocation = import("estree").Comment & {
    start: number;
    end: number;
    has_trailing_newline?: boolean;
};
